Bug 323984 - Address completion inserts nothing
Summary: Address completion inserts nothing
Status: RESOLVED FIXED
Alias: None
Product: kmail2
Classification: Unclassified
Component: composer (show other bugs)
Version: 4.10.5
Platform: openSUSE RPMs Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-24 21:30 UTC by Volker Kuhlmann
Modified: 2013-09-13 12:37 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.11.2


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Volker Kuhlmann 2013-08-24 21:30:59 UTC
Address completion fails to insert anything at all when double-clicking, and the entry was already selected with a single-click.
This happens in the To:, Cc:, Bcc: fields and in the redirect-popup.
It's especially irritating because the list has only names, no addresses, so for multiple names with different addresses one has to pull tricks to find the correct one to use.

Reproducible: Always

Steps to Reproduce:
1. Compose an email.
2. Click into the recipient address field, wait for the autocompletion popup (type something if needed for the popup).
3. Click one address.
4. Double-click the same address to have it inserted into the recipient field.
Actual Results:  
The recipient field is empty, nothing is inserted or completed.

Expected Results:  
Less buggy software... ;;-))
Comment 1 Laurent Montel 2013-09-13 08:08:36 UTC
Work fine.
Need more infos as screenshot etc.
Perhaps I don't select good widget.
Comment 2 Volker Kuhlmann 2013-09-13 09:21:11 UTC
This happens as well when selecting recipients for event invitations in kontact.  I've seen it many times so there is a problem. It probably depends on some other condition which is different between us. I'll try to figure out what it might be.
Comment 3 Laurent Montel 2013-09-13 09:46:46 UTC
event invitation it's not in kmail it's korganizer no ?
I will test it but it's better to have specific bug report :)
Comment 4 Volker Kuhlmann 2013-09-13 10:08:57 UTC
I never know, its all a big library, but both kontact and korganizer
should get to it. I'll try to narrow it down. Thanks!
Comment 5 Laurent Montel 2013-09-13 12:03:06 UTC
Git commit fd0e768be0e15ba2172b611ade5ee090fb1f65e3 by Montel Laurent.
Committed on 13/09/2013 at 12:02.
Pushed by mlaurent into branch 'KDE/4.11'.

Fix Bug 323984 - Address completion inserts nothing

FIXED-IN: 4.11.2

M  +1    -1    incidenceeditor-ng/incidenceattendee.cpp

http://commits.kde.org/kdepim/fd0e768be0e15ba2172b611ade5ee090fb1f65e3
Comment 6 Volker Kuhlmann 2013-09-13 12:37:00 UTC
What difference one word can make... I'm impressed.
Thank you very much!